Authentication

DT's API endpoints are secured, and must be used with an authentication token.

The first step is to obtain an authorization header for authentication. This enables you to use the Management API and be verified as a user within the Console.

Generating your verification keys:

  1. Click your login user name in the top-left corner.

  1. Click User Profile to open the User Profile Window.

  1. In the Management API - Credentials section, the Client ID and Client Secret Keys are displayed.

Generate New Keys

You should generate new verification keys on a regular basis. In order to generate new keys, you must first revoke the current keys.

To generate new verification keys:

  1. Log in to the DT Consolearrow-up-right, and click your user name in the left-hand menu.

  2. Click User Profile.

  3. For the verification keys you want to re-generate, click Revoke.

  1. Click Generate New Keys. The keys you have generated must now be placed in the Endpoint to generate your Access Token to the Management API.

Generating Your Access Token

Copy both the Client ID and Client Secret keys and create an HTTP request with the following body.

Description

Use the UI Management API credentials to authenticate your user and get back an access token to authorize further requests.

Method

POST https://console.fyber.com/api/v2/management/auth

Request Parameters

Key
Description
Type
Required
Example

grant_type

This key is constant and should always be completed for this API as "management_client _credentials"

String

Required

"management_client_ credentials"

client_id

The Client ID token from the UI received for authentication.

String

Required

“677eXXXXXXcdcc3fd790 deb46duyud4”

client_secret

The Client Secret token from the UI received for authentication.

String

Required

“ghhjhiGHXXXXXX87686"

Example Request

Response Parameters

Key
Description
Type
Required
Example

accessToken

Token to be used to authorize future requests

String

Required

“eyJhbGciXXXXXXXXsInR5cCI6IkpXVC J9.eyJpYXQiOjE2Mjg2NzI4OTMsImV4c CI6MTYyODXXXXXXwiYXVkIjoibWFu YWdlbWVudEFXXXXN1YiI6IjM2MiJ9. cjx3AgYcI0XXXXYkVsO6F_7M72lu_p ”

tokenType

Only bearer token type is available

String

Required

“bearer”

expiresIn

The number of seconds for which the token is valid (3600 seconds = 1 hour)

String

Required

3600

Example Response

Last updated